# Uses of Class
com.sun.tools.attach.spi.AttachProvider

Packages that use AttachProvider
Package
Description
com.sun.tools.attach
Provides the API to attach to a Java virtual machine.
com.sun.tools.attach.spi
Only developers who are defining new attach providers should need to make direct use of this package.

## Uses of AttachProvider in com.sun.tools.attach

Methods in com.sun.tools.attach that return AttachProvider
Modifier and Type
Method
Description
`final AttachProvider`
VirtualMachine.`provider()`
Returns the provider that created this virtual machine.
`AttachProvider`
VirtualMachineDescriptor.`provider()`
Return the `AttachProvider` that this descriptor references.
Constructors in com.sun.tools.attach with parameters of type AttachProvider
Modifier
Constructor
Description
`protected`
`VirtualMachine(AttachProvider provider, String id)`
Initializes a new instance of this class.
``
`VirtualMachineDescriptor(AttachProvider provider, String id)`
Creates a virtual machine descriptor from the given components.
``
`VirtualMachineDescriptor(AttachProvider provider, String id, String displayName)`
Creates a virtual machine descriptor from the given components.

## Uses of AttachProvider in com.sun.tools.attach.spi

Methods in com.sun.tools.attach.spi that return types with arguments of type AttachProvider
Modifier and Type
Method
Description
`static List<AttachProvider>`
AttachProvider.`providers()`
Returns a list of the installed attach providers.